[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TToolButton.UpdateVisibleToolbar

Calls the corresponding method in the tool bar for the button.

## Declaration

Source position: comctrls.pp line 2177

`protected procedure TToolButton.UpdateVisibleToolbar;`

## Description

Calls a private method in the Parent control to update the tool bar buttons. No actions are performed if Parent is not a TToolBar instance, or unassigned.

## See also

TToolBar |  | Implements an application tool bar with buttons or other visual controls.
TControl.Parent |  | The control within which the control is shown.